$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.186.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.186.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D594ED176F844E80E38BCBD131FB8D7A5D1656C094474ADEC3D6E1F54613596D'
  checksumType = 'sha256'
  checksum64 = 'D594ED176F844E80E38BCBD131FB8D7A5D1656C094474ADEC3D6E1F54613596D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.186-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
